[AI01]Drug DDT NER
To extract the names of Drug, Disease and Target (DDT) from Chinese and English patents, literature and news data
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | patent | text source:patent/literature/news, default patent |
Required | string | Regression of Established Atherosclerotic Plaques, and Treating Sudden-Onset Asthma Attacks, using PARP Inhibitors\n\n\nA method is disclosed for treating and inducing the regression of established atherosclerotic plaques. A method is disclosed for treating asthma, including treatment of an ongoing asthma attack. In both cases, treatment with PARP inhibitors, such as the PARP inhibitor TIQ-A (Thieno[2,3-c]isoquinolin-5-one), can lead to regression of existing disease and symptoms.\n\n\n1. A method for relieving symptoms of a sudden-onset asthma attack in a human; said method comprising administering an effective amount of a PARP inhibitor to a human who is experiencing an acute asthma attack, wherein said PARP inhibitor is administered from 0 hours to 12 hours after the beginning of the sudden-onset asthma attack.\n2. The method of claim 1, wherein the PARP inhibitor is administered from 0 hours to 6 hours after the beginning of the sudden-onset asthma attack.\n3. The method of claim 1, wherein the PARP inhibitor is administered from 0 hours to 1 hours after the beginning of the sudden-onset asthma attack.\n4. The method of claim 1, wherein the PARP inhibitor is selected from the group consisting of TIQ-A; AIQ; 3-AB; PJ-34; 1,5-Isoquinolinediol; 3-Methyl-5-AIQ hydrochloride; 4-Amino-1,8-naphthalimide; 4-Hydroxyquinazoline; 5-AIQ hydrochloride; 5-Iodo-6-amino-1,2-benzopyrone; 6(5H)-Phenanthridinone; EB-47 dihydrochloride dihydrate; NU1025; DR2313; BSI 401; BSI 201; AZD 2281; INO 1001; GPI 15427; GPI 16539; GPI 6150; DR2313; AG14361; NU1025; CEP 6800; AG 014699; ABT-888; minocycline; tetracycline; and derivatives of these compounds.\n5. The method of claim 1, wherein the PARP inhibitor is TIQ-A.\n6. The method of claim 1, wherein the PARP inhibitor is a PARP-1 inhibitor.\n7. A method for inducing the regression of one or more existing atherosclerotic plaques in a human; said method comprising administering an effective amount of a PARP inhibitor over time to a human who has previously been diagnosed with one or more atherosclerotic plaques; then assaying one or more of the plaques to confirm whether one or more of the existing plaques has regressed in response to the PARP inhibitor; and then, if said assaying step indicates that one or more of the plaques has regressed, continuing further administration of the PARP inhibitor for an additional time to induce further regression of one or more of the plaques.\n8. The method of claim 7, wherein the PARP inhibitor is selected from the group consisting of TIQ-A; AIQ; 3-AB; PJ-34; 1,5-Isoquinolinediol; 3-Methyl-5-AIQ hydrochloride; 4-Amino-1,8-naphthalimide; 4-Hydroxyquinazoline; 5-AIQ hydrochloride; 5-Iodo-6-amino-1,2-benzopyrone; 6(5H)-Phenanthridinone; EB-47 dihydrochloride dihydrate; NU1025; DR2313; BSI 401; BSI 201; AZD 2281; INO 1001; GPI 15427; GPI 16539; GPI 6150; DR2313; AG14361; NU1025; CEP 6800; AG 014699; ABT-888; minocycline; tetracycline; and derivatives of these compounds.\n9. The method of claim 7, wherein the PARP inhibitor is TIQ-A.\n10. The method of claim 7, wherein the PARP inhibitor is a PARP-1 inhibitor | The text of drug DDT information needs to be extracted. Chinese text is required to be no more than 500 characters or English text no more than 500 words |
Required | string | en | text language, support cn and en |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
end | integer<int32> | 53 | NER end position |
type | string | Drug | entity type |
start | integer<int32> | 26 | NER start position |
entity | string | Anti-CD19 4-1BB CAR T Cells | entity name |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"end": 53,
"type": "Drug",
"start": 26,
"entity": "Anti-CD19 4-1BB CAR T Cells"
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms